attribute vec4 position;
attribute vec2 texCoords;

varying vec2 pass_TexCoords;

void main() {

    gl_Position = position;
    pass_TexCoords.x = texCoords.x;
    pass_TexCoords.y = -texCoords.y;

}